<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}

$time=time();
if($udata[59]==""){$udata[59]=50;}


echo '<img src="../images/img/partners.gif" alt=""> <b>Выносливость</b><br><br>';

if ($_SESSION['log']!="" && md5($_SESSION['par'])!="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if($udata[10]>0){
echo'<img src="../images/img/mail.gif" alt=""> <b><a href="../pages/privat.php?'.SID.'"><font color="red">Приватное сообщение! ('.$privat.')</font></a></b><br>';}

if($udata[55]==1){

//-------------------- Главная страница ----------------------//
if(!isset($action)){
echo 'У вас в наличии: '.moneys($udata[41]).'<br>';
echo 'Хотите увеличить свою выносливость?<br>';
echo 'В данный момент уровень вашей выносливости равен <b>'.(int)$udata[57].'</b>%<br>';
echo 'Максимальный уровень выносливости равен <b>'.(int)$udata[59].'</b>%<br>';
echo '<img src="../gallery/grafic.php?rat='.(int)$udata[57].'&amp;imgs=2&amp;limit='.(int)$udata[59].'" alt=""><br>';


echo 'Вы можете увеличить уровень выносливости разными способами<br><br>';

echo '<b><a href="stamina.php?action=operacia&amp;pred=1&amp;'.SID.'">Тренироваться</a></b> (Бесплатно)<br>';
echo '(Увеличивает вашу выносливость всего на 3%)<br><br>';

echo '<b><a href="stamina.php?action=operacia&amp;pred=2&amp;'.SID.'">Выпить водки</a></b> (Цена: '.moneys(300).')<br>';
echo '(Увеличивает вашу выносливость уже на 10%, но стоит денег)<br><br>';

echo '<b><a href="stamina.php?action=operacia&amp;pred=3&amp;'.SID.'">Применить аптечку</a></b> (Цена: '.moneys(1000).')<br>';
echo '(Увеличивает вашу выносливость на 20%, весьма эффективный способ)<br><br>';

echo '<b><a href="stamina.php?action=operacia&amp;pred=4&amp;'.SID.'">Использовать допинг</a></b> (Цена: '.moneys(3000).')<br>';
echo '(Увеличивает вашу выносливость на 30%, быстрый способ)<br><br>';

echo '<b><a href="stamina.php?action=operacia&amp;pred=5&amp;'.SID.'">Использовать энергетик</a></b> (Цена: '.moneys(10000).')<br>';
echo '(Увеличивает вашу выносливость на 50%, самый быстрый способ)<br><br>';

echo 'Нажмите на выбранный вами предмет и при достаточном количестве монет вы сможете увеличить свою выносливость<br>';
echo 'Увеличивать свою выносливость можно не чаще чем раз в 3 часа<br>';
}


if($action=="operacia"){
if($pred!=""){

//------------------------------ Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile[0]);
if($udata[59]==""){$udata[59]=50;}

if($pred==1){
if(($udata[57]+3)<=$udata[59]){
if($udata[62]<$time){	
	

$udata[57]=round($udata[57]+3);
$udata[62]=$time+3600*3;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

echo 'Вы успешно улучшили состояние своей выносливости!<br>';
}else{echo 'Увеличивать уровень своей выносливости можно не чаще чем раз в 3 часа<br><br>';}
}else{echo 'У вас достаточный уровень выносливости, вам незачем его пополнять<br><br>';}
}

if($pred==2){
if($udata[41]>=300){
if(($udata[57]+10)<=$udata[59]){
if($udata[62]<$time){	
	
$udata[41]=round($udata[41]-300);
$udata[57]=round($udata[57]+10);
$udata[62]=$time+3600*3;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

echo 'Вы успешно улучшили состояние своей выносливости!<br>';
}else{echo 'Увеличивать уровень своей выносливости можно не чаще чем раз в 3 часа<br><br>';}
}else{echo 'У вас достаточный уровень выносливости, вам незачем его пополнять<br><br>';}
}else{echo 'На вашем счету недостаточно монет для подобной покупки<br><br>';}
}


if($pred==3){
if($udata[41]>=1000){
if(($udata[57]+20)<=$udata[59]){
if($udata[62]<$time){	
	
$udata[41]=round($udata[41]-1000);
$udata[57]=round($udata[57]+20);
$udata[62]=$time+3600*3;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

echo 'Вы успешно улучшили состояние своей выносливости!<br>';
}else{echo 'Увеличивать уровень своей выносливости можно не чаще чем раз в 3 часа<br><br>';}
}else{echo 'У вас достаточный уровень выносливости, вам незачем его пополнять<br><br>';}
}else{echo 'На вашем счету недостаточно монет для подобной покупки<br><br>';}
}


if($pred==4){
if($udata[41]>=3000){
if(($udata[57]+30)<=$udata[59]){
if($udata[62]<$time){	
	
$udata[41]=round($udata[41]-3000);
$udata[57]=round($udata[57]+30);
$udata[62]=$time+3600*3;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

echo 'Вы успешно улучшили состояние своей выносливости!<br>';
}else{echo 'Увеличивать уровень своей выносливости можно не чаще чем раз в 3 часа<br><br>';}
}else{echo 'У вас достаточный уровень выносливости, вам незачем его пополнять<br><br>';}
}else{echo 'На вашем счету недостаточно монет для подобной покупки<br><br>';}
}

if($pred==5){
if($udata[41]>=10000){
if(($udata[57]+50)<=$udata[59]){
if($udata[62]<$time){	
	
$udata[41]=round($udata[41]-10000);
$udata[57]=round($udata[57]+50);
$udata[62]=$time+3600*3;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

echo 'Вы успешно улучшили состояние своей выносливости!<br>';
}else{echo 'Увеличивать уровень своей выносливости можно не чаще чем раз в 3 часа<br><br>';}
}else{echo 'У вас достаточный уровень выносливости, вам незачем его пополнять<br><br>';}
}else{echo 'На вашем счету недостаточно монет для подобной покупки<br><br>';}
}



echo 'Уровень вашей выносливости равен <b>'.(int)$udata[57].'</b>%<br>';
echo 'Максимальный уровень выносливости равен <b>'.(int)$udata[59].'</b>%<br>';
echo'<img src="../gallery/grafic.php?rat='.(int)$udata[57].'&amp;imgs=2&amp;limit='.(int)$udata[59].'" alt=""><br>';


}else{echo 'Вы забыли выбрать предмет который хотите купить<br>';}
echo '<br><img src="../images/img/back.gif" alt=""> <a href="stamina.php?'.SID.'">Вернуться</a>';
}
	
}else{echo 'Ошибка! Ваш персонаж игры не включен! Для того чтобы его включить, измените свои настройки<br>';
echo 'Персонаж позволит вам участвовать в разных играх, боях, покупать оружие, прокачивать своего бойца, зарабатывать деньги и многое другое<br>';
echo'<br><img src="../images/img/panel.gif" alt=""> <a href="../pages/setting.php?'.SID.'">Настройки</a>';
}	
	
}else{echo'<br>Для того чтобы совершать операции вы должны быть авторизованы<br><br>';}
echo'<br><img src="../images/img/many.gif" alt=""> <a href="../games/bank.php?'.SID.'">Банк</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>'; 
include_once"../themes/$config_themes/foot.php";
?>